import { ElementConfigType } from "./types";
/**
 * domGenerator function creates a DOM structure based on the provided configuration.
 *
 * @param {ElementConfigType} config - The configuration object defining the parent and children elements.
 * @returns {HTMLElement} - The parent HTML element with the generated DOM structure.
 */
declare const domGenerator: ({ children, ...config }: ElementConfigType) => HTMLElement;
export default domGenerator;
